%define gcj_support 1

Name:		azureus
Version:	2.5.0.0
Release:	%mkrel 1.3
Epoch:		0
Summary:	A BitTorrent Client

Group:		Development/Java
License:	GPL
URL:		http://azureus.sourceforge.net/

# A cvs snapshot with the build and bouncycastle directories
# removed.
Source0:	azureus2-2.5.0.0.tar.bz2

Source1:	azureus.script
Source2:	Azureus.desktop
Source3:	azureus.applications
Source4:	azureus-License.txt

Source5:	http://azureus.sourceforge.net/plugins/azplugins_2.1.1.jar
Source6:	http://azureus.sourceforge.net/plugins/bdcc_2.2.2.zip

Patch0:		azureus-remove-win32-osx-platforms.patch
Patch1:		azureus-remove-win32-PlatformManagerUpdateChecker.patch
Patch2:		azureus-cache-size.patch
Patch3:		azureus-remove-manifest-classpath.patch
Patch7:		azureus-themed.patch
Patch8:		azureus-rh-bugzilla-180418.patch
Patch9:		azureus-no-shared-plugins.patch
Patch12:	azureus-no-updates-PluginInitializer.patch
Patch13:	azureus-no-updates-PluginInterfaceImpl.patch
Patch14:	azureus-no-update-manager-AzureusCoreImpl.patch
Patch15:	azureus-no-update-manager-CorePatchChecker.patch
Patch16:	azureus-no-update-manager-CoreUpdateChecker.patch
Patch18:	azureus-no-update-manager-PluginInstallerImpl.patch
Patch19:	azureus-no-update-manager-PluginUpdatePlugin.patch
Patch20:	azureus-no-update-manager-SWTUpdateChecker.patch
Patch22:	azureus-no-update-manager-UpdateMonitor.patch
Patch23:	azureus-no-update-manager-PluginInstallerImpl-2.patch
Patch25:	azureus-no-update-manager-MainStatusBar.patch
Patch26:	azureus-nativetabs.patch
Patch27:	azureus-SecureMessageServiceClientHelper-bcprov.patch
Patch28:	azureus-UDPConnectionSet-bcprov.patch
Patch29:	azureus-CryptoHandlerECC-bcprov.patch
Patch30:	azureus-CryptoSTSEngineImpl-bcprov.patch
Patch31:	azureus-fix-menu-MainMenu.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  ant, jpackage-utils >= 0:1.5, xml-commons-apis
BuildRequires:  jakarta-commons-cli, log4j, gnu-crypto
BuildRequires:  libgconf-java
BuildRequires:  bouncycastle >= 0:1.33
BuildRequires:  libswt3-gtk2 >= 1:3.2.0
Requires:       jakarta-commons-cli, log4j, gnu-crypto
Requires:       libswt3-gtk2 >= 3.2.0
Requires:       libgconf-java
Requires:       bouncycastle >= 0:1.33
%if %{gcj_support}
BuildRequires:    java-gcj-compat-devel
Requires(post):   java-gcj-compat
Requires(postun): java-gcj-compat
%else
BuildArch:      noarch
%endif
BuildRequires:    desktop-file-utils
Requires(post):   desktop-file-utils
Requires(postun): desktop-file-utils

%description 
Azureus implements the BitTorrent protocol using java language and
comes bundled with many invaluable features for both beginners and
advanced users.

%prep
%setup -q -n %{name}2
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
#%patch11 -p0
%patch12 -p0
%patch13 -p0
%patch14 -p0
%patch15 -p0
%patch16 -p0
%patch18 -p0
%patch19 -p0
%patch20 -p0
%patch22 -p0
%patch23 -p0
%patch25 -p0
%patch26 -p0
%patch27 -p0
#%patch28 -p0
#%patch29 -p0
#%patch30 -p0
%patch31 -p0
cp %{SOURCE4} License.txt

%build
mkdir -p build/libs
build-jar-repository -p build/libs jakarta-commons-cli swt-gtk-3.2 log4j gnu-crypto gtk2.8 glib0.2
ln -s /usr/share/java/gcj-endorsed/bcprov-1.33.jar build/libs
find ./ -name osx | xargs rm -r
find ./ -name macosx | xargs rm -r
find ./ -name [Ww]in32\* | xargs rm -r
# Remove test code
rm org/gudy/azureus2/ui/swt/test/PrintTransferTypes.java

%ant jar

mkdir -p plugins/azplugins
cd plugins/azplugins
unzip -q %{SOURCE5}
rm -f *.jar `find ./ -name \*class`
find ./ -name \*java | xargs %{javac} -cp `build-classpath swt-gtk-3.2`:../..:.
find ./ -name \*java | xargs rm
%{jar} cvf azplugins_2.1.1.jar .
cd ../..

unzip -q %{SOURCE6}
cd plugins/bdcc
unzip *.jar
rm -f *.jar `find ./ -name \*class`
find ./ -name \*java | xargs %{javac} -cp `build-classpath swt-gtk-3.2`:../..:.
find ./ -name \*java | xargs rm
%{jar} cvf bdcc_2.2.2.jar .
cd ../..

%install
rm -rf $RPM_BUILD_ROOT

install -dm 755 $RPM_BUILD_ROOT%{_datadir}/azureus/plugins
install -p -D -m 644 dist/Azureus2.jar $RPM_BUILD_ROOT%{_javadir}/Azureus2.jar
install -p -D -m 0755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/azureus
sed --in-place "s:/usr/lib:%{_libdir}:g" $RPM_BUILD_ROOT%{_bindir}/azureus

install -dm 755 $RPM_BUILD_ROOT%{_datadir}/azureus/plugins/azplugins
install -pm 644 plugins/azplugins/azplugins_2.1.1.jar $RPM_BUILD_ROOT%{_datadir}/azureus/plugins/azplugins/azplugins_2.1.1.jar
install -pm 644 plugins/azplugins/plugin.properties $RPM_BUILD_ROOT%{_datadir}/azureus/plugins/azplugins/plugin.properties

install -dm 755 $RPM_BUILD_ROOT%{_datadir}/azureus/plugins/bdcc
install -pm 644 plugins/bdcc/bdcc_2.2.2.jar $RPM_BUILD_ROOT%{_datadir}/azureus/plugins/bdcc/bdcc_2.2.2.jar
install -pm 644 plugins/bdcc/plugin.properties $RPM_BUILD_ROOT%{_datadir}/azureus/plugins/bdcc/plugin.properties

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps
install -m 644 org/gudy/azureus2/ui/icons/a32.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/azureus.png
install -m 644 org/gudy/azureus2/ui/icons/a16.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/azureus.png
install -m 644 org/gudy/azureus2/ui/icons/a32.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/azureus.png
install -m 644 org/gudy/azureus2/ui/icons/a64.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps/azureus.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
%{_bindir}/desktop-file-install --vendor mandriva		\
	--dir ${RPM_BUILD_ROOT}%{_datadir}/applications		\
	--add-category X-MandrivaLinux-Internet-FileTransfer	\
        --remove-category Application				\
	%{SOURCE2}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/application-registry
install -m644 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/application-registry

# Convert line endings...
%{__sed} -i 's/\r//' License.txt
%{__sed} -i 's/\r//' ChangeLog.txt
chmod 644 *.txt

%if %{gcj_support}
RPM_OPT_FLAGS="-O0" %{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%if %{gcj_support}
%{update_gcjdb}
%endif
%{update_desktop_database}
%{update_mime_database}
%update_icon_cache hicolor

%postun
%if %{gcj_support}
%{clean_gcjdb}
%endif
%{clean_desktop_database}
%{clean_mime_database}
%clean_icon_cache hicolor

%files
%defattr(0644,root,root,0755)
%doc License.txt ChangeLog.txt
%{_datadir}/applications/*
%{_datadir}/application-registry/*
%{_datadir}/pixmaps/azureus.png
%{_datadir}/icons/hicolor/16x16/apps/azureus.png
%{_datadir}/icons/hicolor/32x32/apps/azureus.png
%{_datadir}/icons/hicolor/64x64/apps/azureus.png
%attr(0755,root,root) %{_bindir}/azureus
%{_datadir}/azureus
%{_javadir}/*.jar
%if %{gcj_support}
%{_libdir}/gcj/*
%endif

%changelog
* Mon Sep 04 2006 David Walluck <walluck@mandriav.org> 0:2.5.0.0-1.3mdv2007.0
- rebuild to fix %%clean_icon_cache

* Thu Aug 31 2006 David Walluck <walluck@mandriav.org> 0:2.5.0.0-1.2mdv2007.0
- 2.5.0.0

* Wed Aug 09 2006 David Walluck <walluck@mandriva.org> 0:2.4.0.3-0.20060702.3mdv2007.0
- fix gcj_support in %%post and %%postun

* Sat Jul 22 2006 David Walluck <walluck@mandriva.org> 0:2.4.0.3-0.20060702.2mdv2007.0
- call %%{javac}

* Sat Jul 15 2006 David Walluck <walluck@mandriva.org> 0:2.4.0.3-0.20060702.1mdv2007.0
- update
- rebuild for swt 3.2

* Fri Apr 21 2006 David Walluck <walluck@mandriva.org> 0:2.4.0.2-1mdv2007.0
- 2.4.0.2

* Thu Feb 09 2006 David Walluck <walluck@mandriva.org> 0:2.3.0.6-8mdk
- rebuild for new swt-gtk symlink

* Wed Feb 01 2006 David Walluck <walluck@mandriva.org> 0:2.3.0.6-7mdk
- add mdk menu

* Tue Jan 31 2006 David Walluck <walluck@mandriva.org> 0:2.3.0.6-6mdk
- add (Build)Requires on desktop-file-utils

* Mon Jan 30 2006 David Walluck <walluck@mandriva.org> 0:2.3.0.6-5mdk
- remove junit dependency

* Mon Jan 30 2006 David Walluck <walluck@mandriva.org> 0:2.3.0.6-4mdk
- set arch to noarch if %%gcj_support is 0

* Wed Jan 18 2006 David Walluck <walluck@mandriva.org> 0:2.3.0.6-3mdk
- add patch for cache size

* Mon Jan 16 2006 David Walluck <walluck@mandriva.org> 0:2.3.0.6-2mdk
- better patches for proprietary jdks
- set java.library.path

* Sun Jan 15 2006 David Walluck <walluck@mandriva.org> 0:2.3.0.6-1mdk
- release

* Sun Jan 15 2006 Anthony Green <green@redhat.com> - 2.3.0.6-4
- Remove bouncycastle crypto from zipball.
- Add bouncycastle build- and runtime dependencies.
- Desktop integration work.

* Sun Dec 18 2005 Anthony Green <green@redhat.com> - 2.3.0.6-3
- Add azureus-ConfigurationManager-improvement.patch

* Sat Dec 17 2005 Anthony Green <green@redhat.com> - 2.3.0.6-2
- Add azureus-remove-win32-PlatformManagerUpdateChecker.patch

* Sat Dec 17 2005 Anthony Green <green@redhat.com> - 2.3.0.6-1
- Created.
